# (blino) FIXME: switch back to 1 when systemd is installable
%define with_systemd 0

%define lib_major 0
%define lib_name %mklibname %{name} %{lib_major}
%define lib_name_devel %mklibname %{name} -d

Summary: Automatic bug detection and reporting tool
Name: abrt
Version: 1.1.17
Release: %mkrel 1
License: GPLv2+
Group: System/Base
URL: https://fedorahosted.org/abrt/
Source: https://fedorahosted.org/released/abrt/%{name}-%{version}.tar.gz
Source1: abrt.init
Source2: 00abrt.sh
Source3: 00abrt.csh
Source4: abrt-debuginfo-install
# (fc) fix format security error
# (misc) sent upstream https://fedorahosted.org/abrt/attachment/ticket/120
Patch0: abrt-1.1.14-format_security.patch
# (fc) disable package signature check
Patch2: abrt_disable_gpgcheck.diff
# (blino) use Mageia bugzilla (adapted from Mandriva patch from fcrozat)
# (blino) parse /etc/release (adapted from Mandriva patch from fcrozat)
# FIXME: check the query is still correct when bugzilla is deployed
# FIXME: check the parsing is ok
Patch3: abrt-mageiabugzilla.patch
# (pt) generate stacktrace twice to get missing -debug packages
Patch5: abrt-1.1.14-debug.patch
# (fc) disable nspluginwrapper-i386 (Mdv bug #59237)
Patch7: abrt-1.1.13-nspluginwrapper.patch
# (fc) fix for non UTF-8 locale
Patch8: abrt-1.1.1-nonutf8-locale.patch
Patch10: abrt-1.1.14-link.patch
# (eugeni): disable kernel oops cron plugin by default (mdv #61986)
Patch12: abrt-1.1.14-disable_oops_scanner.patch
BuildRequires: dbus-devel
BuildRequires: gtk2-devel
BuildRequires: curl-devel
BuildRequires: rpm-devel
BuildRequires: sqlite-devel > 3.0
BuildRequires: desktop-file-utils
#BuildRequires: nss-devel
BuildRequires: libnotify-devel
BuildRequires: xmlrpc-c-devel
BuildRequires: xmlrpc-c
BuildRequires: file-devel
BuildRequires: python-devel
BuildRequires: gettext
BuildRequires: polkit-1-devel
BuildRequires: libzip-devel, libtar-devel, bzip2-devel, zlib-devel
BuildRequires: intltool
BuildRequires: gnome-common
BuildRequires: bison
%if %{?with_systemd}
BuildRequires: systemd-units
%endif
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
Requires: %{lib_name} >= %{version}-%{release}
Requires(pre): rpm-helper
Requires(post): rpm-helper
Requires(preun): rpm-helper
Requires(postun): rpm-helper
Obsoletes: plugin-catcut < 1.1.13

%description
%{name} is a tool to help users to detect defects in applications and
to create a bug report with all informations needed by maintainer to fix it.
It uses plugin system to extend its functionality.

%package -n %{lib_name}
Summary: Libraries for %{name}
Group: System/Libraries

%description -n %{lib_name}
Libraries for %{name}.

%package -n %{lib_name_devel}
Summary: Development libraries for %{name}
Group: Development/C
Requires: %{lib_name} = %{version}-%{release}
Requires: abrt = %{version}-%{release}
Obsoletes: %{_lib}abrt0-devel

%description -n %{lib_name_devel}
Development libraries and headers for %{name}.

%package gui
Summary: %{name}'s gui
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}
Requires: dbus-python, pygtk2.0, pygtk2.0-libglade
Requires: python-gobject
Requires: gnome-python-desktop

%description gui
GTK+ wizard for convenient bug reporting.

%package addon-ccpp
Summary: %{name}'s C/C++ addon
Group: System/Libraries
Requires: elfutils
Requires: %{name} = %{version}-%{release}

%description addon-ccpp
This package contains hook for C/C++ crashed programs and %{name}'s C/C++
analyzer plugin.

%package addon-kerneloops
Summary: %{name}'s kerneloops addon
Group: System/Libraries
Requires: curl
Requires: %{name} = %{version}-%{release}
#Obsoletes: kerneloops

%description addon-kerneloops
This package contains plugin for collecting kernel crash information
and reporter plugin which sends this information to specified server,
usually to kerneloops.org.

%package plugin-logger
Summary: %{name}'s logger reporter plugin
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description plugin-logger
The simple reporter plugin which writes a report to a specified file.

%package plugin-mailx
Summary: %{name}'s mailx reporter plugin
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Requires: mailx

%description plugin-mailx
The simple reporter plugin which sends a report via mailx to a specified
email address.

%package plugin-runapp
Summary: %{name}'s runapp plugin
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description plugin-runapp
Plugin to run external programs.

%package plugin-sosreport
Summary: %{name}'s sosreport plugin
Group: System/Libraries
Requires: sos
Requires: %{name} = %{version}-%{release}

%description plugin-sosreport
Plugin to include an sosreport in an abrt report.

%package plugin-bugzilla
Summary: %{name}'s bugzilla plugin
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description plugin-bugzilla
Plugin to report bugs into the bugzilla.

##%package plugin-catcut
#Summary: %{name}'s catcut plugin
#Group: System/Libraries
#Requires: %{name} = %{version}-%{release}

##%description plugin-catcut
#Plugin to report bugs into the catcut.

%package plugin-reportuploader
Summary: %{name}'s ticketuploader plugin
Group: System/Libraries
Requires: %{name} = %{version}-%{release}
Obsoletes: plugin-ticketuploader < 1.1.13
Provides: plugin-ticketuploader = %{version}-%{release}

%description plugin-reportuploader
Plugin to report bugs into anonymous FTP site associated with ticketing system.

%package plugin-filetransfer
Summary: %{name}'s File Transfer plugin
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description plugin-filetransfer
Plugin to uploading files to a server.

%package addon-python
Summary: %{name}'s addon for catching and analyzing Python exceptions
Group: System/Libraries
Requires: %{name} = %{version}-%{release}

%description addon-python
This package contains python hook and python analyzer plugin for handling
uncaught exception in python programs.

%package cli
Summary: %{name}'s command line interface
Group: Graphical desktop/Other
Requires: %{name} = %{version}-%{release}
Requires: %{name}-addon-kerneloops
Requires: %{name}-addon-ccpp, %{name}-addon-python
Requires: %{name}-plugin-bugzilla, %{name}-plugin-logger, %{name}-plugin-runapp

%description cli
This package contains simple command line client for controlling abrt 
daemon over the sockets.

%package desktop
Summary: Virtual package to install all necessary packages for usage from desktop environment
Group: Graphical desktop/Other
# This package gets installed when anything requests bug-buddy -
# happens when users upgrade Fn to Fn+1;
# or if user just wants "typical desktop installation".
# Installing abrt-desktop should result in the abrt which works without
# any tweaking in abrt.conf (IOW: all plugins mentioned there must be installed)
Requires: %{name} = %{version}-%{release}
Requires: %{name}-addon-kerneloops
Requires: %{name}-addon-ccpp, %{name}-addon-python
# Default config of addon-ccpp requires gdb
Requires: gdb >= 7.0-3
Requires: %{name}-gui
Requires: %{name}-plugin-logger, %{name}-plugin-bugzilla, %{name}-plugin-runapp
#Obsoletes: bug-buddy
#Provides: bug-buddy

%description desktop
Virtual package to make easy default installation on desktop environments.

%prep
%setup -q
%patch0 -p1 -b .format_security
%patch2 -p1 -b .disable_signature_check
%patch3 -p1 -b .mgabugzilla
%patch5 -p0 -b .debug
%patch7 -p0 -b .nspluginwrapper
%patch8 -p1 -b .nonutf8-locale
%patch10 -p0 -b .link
%patch12 -p1 -b .disable_oops_scanner

%build
NOCONFIGURE=yes gnome-autogen.sh
%configure2_5x \
%if !%{with_systemd}
	--without-systemdsystemunitdir \
%endif
	--disable-rpath
%make

%install
rm -rf %{buildroot}
%makeinstall_std
%find_lang %{name}

#rm -rf %{buildroot}/%{_libdir}/lib*.la
#rm -rf %{buildroot}/%{_libdir}/%{name}/lib*.la
# remove all .la and .a files
find %{buildroot} -name '*.la' -or -name '*.a' | xargs rm -f
mkdir -p %{buildroot}/%{_initrddir}
install -m 755 %SOURCE1 %{buildroot}/%{_initrddir}/abrtd
mkdir -p %{buildroot}/var/cache/%{name}
mkdir -p %{buildroot}/var/cache/%{name}-di
mkdir -p %{buildroot}/var/run/%{name}
# remove fedora gpg key
rm -f %{buildroot}%{_sysconfdir}/abrt/gpg_keys
touch %{buildroot}%{_sysconfdir}/abrt/gpg_keys

# install ulimit disabler
mkdir -p %{buildroot}%{_sysconfdir}/profile.d/
install -m755 %SOURCE2 %SOURCE3 %{buildroot}%{_sysconfdir}/profile.d/

desktop-file-install \
        --dir %{buildroot}%{_sysconfdir}/xdg/autostart \
        src/Applet/%{name}-applet.desktop

# replace with our own version
cat %{SOURCE4} > %{buildroot}/usr/bin/%{name}-debuginfo-install

#remove RH specific plugins
rm -f %{buildroot}%{_libdir}/%{name}/{RHTSupport.glade,libRHTSupport.so}
rm -f %{buildroot}%{_sysconfdir}/%{name}/plugins/RHTSupport.conf


%clean
rm -rf %{buildroot}

%pre
%_pre_useradd %{name} %{_sysconfdir}/%{name} /bin/nologin
%_pre_groupadd %{name} %{name}

%post
%_post_service %{name}d
%if %{?with_systemd}
# Enable (but don't start) the units by default
  /bin/systemctl enable %{name}d.service >/dev/null 2>&1 || :
%endif


%preun
%_preun_service %{name}d
%if %{?with_systemd}
if [ "$1" -eq "0" ] ; then
  /bin/systemctl stop %{name}d.service >/dev/null 2>&1 || :
  /bin/systemctl disable %{name}d.service >/dev/null 2>&1 || :
fi
%endif


%postun
%_postun_userdel %{name}
%_postun_groupdel %{name} %{name}
%if %{?with_systemd}
if [ $1 -ge 1 ] ; then
# On upgrade, reload init system configuration if we changed unit files
  /bin/systemctl daemon-reload >/dev/null 2>&1 || :
fi
%endif


%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README COPYING
#systemd
%if %{?with_systemd}
/lib/systemd/system/%{name}d.service
%endif
%{_sbindir}/%{name}d
%{_bindir}/%{name}-debuginfo-install
%config(noreplace) %{_sysconfdir}/%{name}/%{name}.conf
%config(noreplace) %{_sysconfdir}/%{name}/gpg_keys
%config(noreplace) %{_sysconfdir}/dbus-1/system.d/dbus-%{name}.conf
%{_initrddir}/%{name}d
%dir %attr(0755, %{name}, %{name}) %{_localstatedir}/cache/%{name}
%dir /var/run/%{name}
%dir %{_sysconfdir}/%{name}
%dir %{_sysconfdir}/%{name}/plugins
%dir %{_libdir}/%{name}
%{_mandir}/man8/abrtd.8.*
%{_mandir}/man5/%{name}.conf.5.*
#%{_mandir}/man5/pyhook.conf.5.*
%{_mandir}/man7/%{name}-plugins.7.*
%{_datadir}/polkit-1/actions/org.fedoraproject.abrt.policy
%{_datadir}/dbus-1/system-services/com.redhat.abrt.service
%config(noreplace) %{_sysconfdir}/%{name}/plugins/SQLite3.conf
%{_libdir}/%{name}/libSQLite3.so*
%{_mandir}/man7/%{name}-SQLite3.7.*

%files -n %{lib_name}
%defattr(-,root,root,-)
%{_libdir}/lib*.so.*

%files -n %{lib_name_devel}
%defattr(-,root,root,-)
%{_libdir}/lib*.so
%{_includedir}/%{name}/*.h
%{_libdir}/pkgconfig/%{name}.pc

%files gui
%defattr(-,root,root,-)
%{_bindir}/%{name}-gui
%{_datadir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/icons/hicolor/*/*/*.png
%{_bindir}/%{name}-applet
%{_sysconfdir}/xdg/autostart/%{name}-applet.desktop

%files addon-ccpp
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/CCpp.conf
%dir %{_localstatedir}/cache/%{name}-di
%{_libdir}/%{name}/libCCpp.so*
%{_libexecdir}/abrt-hook-ccpp
%{_sysconfdir}/profile.d/00abrt.*

%files addon-kerneloops
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/Kerneloops.conf
%{_bindir}/dumpoops
%{_libdir}/%{name}/libKerneloops.so*
%{_libdir}/%{name}/libKerneloopsScanner.so*
%{_mandir}/man7/%{name}-KerneloopsScanner.7.*
%{_libdir}/%{name}/libKerneloopsReporter.so*
%{_libdir}/%{name}/KerneloopsReporter.glade
%{_mandir}/man7/%{name}-KerneloopsReporter.7.*

%files plugin-logger
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/Logger.conf
%{_libdir}/%{name}/libLogger.so*
%{_libdir}/%{name}/Logger.glade
%{_mandir}/man7/%{name}-Logger.7.*

%files plugin-mailx
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/Mailx.conf
%{_libdir}/%{name}/libMailx.so*
%{_libdir}/%{name}/Mailx.glade
%{_mandir}/man7/%{name}-Mailx.7.*

%files plugin-runapp
%defattr(-,root,root,-)
%{_libdir}/%{name}/libRunApp.so*
%{_mandir}/man7/%{name}-RunApp.7.*

%files plugin-sosreport
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/SOSreport.conf
%{_libdir}/%{name}/libSOSreport.so*


%files plugin-bugzilla
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/Bugzilla.conf
%{_libdir}/%{name}/libBugzilla.so*
%{_libdir}/%{name}/Bugzilla.glade
%{_mandir}/man7/%{name}-Bugzilla.7.*

##%files plugin-catcut
#%defattr(-,root,root,-)
#%config(noreplace) %{_sysconfdir}/%{name}/plugins/Catcut.conf
#%{_libdir}/%{name}/libCatcut.so*
#%{_libdir}/%{name}/Catcut.GTKBuilder
#%{_mandir}/man7/%{name}-Catcut.7.*

%files plugin-reportuploader
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/ReportUploader.conf
%{_bindir}/%{name}-handle-upload
%{_libdir}/%{name}/libReportUploader.so*
%{_libdir}/%{name}/ReportUploader.glade
%{_mandir}/man7/%{name}-ReportUploader.7.*

%files plugin-filetransfer
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/FileTransfer.conf
%{_libdir}/%{name}/libFileTransfer.so*
%{_mandir}/man7/%{name}-FileTransfer.7.*

%files addon-python
%defattr(-,root,root,-)
%config(noreplace) %{_sysconfdir}/%{name}/plugins/Python.conf
#%attr(4755, abrt, abrt) %{_libexecdir}/abrt-hook-python
%{_libdir}/%{name}/libPython.so*
%{py_puresitedir}/*.py*
%{py_puresitedir}/*.pth


%files cli
%defattr(-,root,root,-)
%{_bindir}/abrt-cli
%{_mandir}/man1/abrt-cli.1.*
%{_sysconfdir}/bash_completion.d/abrt-cli.bash

%files desktop
%defattr(-,root,root,-)





%changelog
* Mon Apr 11 2011 dmorgan <dmorgan> 1.1.17-1.mga1
+ Revision: 83126
- New version 1.1.17
  Merge patch 3 and 6
  Fix file list

* Mon Feb 28 2011 dmorgan <dmorgan> 1.1.14-11.mga1
+ Revision: 61318
- Bump release
- Remove rpm46 and rpm5 patches

* Sun Feb 27 2011 dmorgan <dmorgan> 1.1.14-10.mga1
+ Revision: 61093
- Fix build without systemd
  Fix URL of the page where to create an account ( use identity instead of bugzilla )

  + tmb <tmb>
    - systemd-units is only needed for the build, not actually Required

* Mon Jan 17 2011 blino <blino> 1.1.14-9.mga1
+ Revision: 21543
- remove duplicate and unconditional system service file inclusion
- do not build for rpm5 (it is known to break BS)
- do not build with systemd yet
- adapt release patch
- use Mageia bugzilla
- remove old version in comments
- imported package abrt


* Sun Jan 09 2011 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.14-8mdv2011.0
+ Revision: 630720
- finally get rpm 5.3 linked abrt into main/release "#!"#!" :p

* Tue Jan 04 2011 Eugeni Dodonov <eugeni@mandriva.com> 1.1.14-7mdv2011.0
+ Revision: 628561
- Add support for systemd (based on fedora spec).
- Install systemd service.
  Disable periodic run of KerneloopsScanner by default (#61986).

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - fix issue with CheckHash() in rpm5 & fmode
    - try again rpm5 build in main/testing, hopefully not messing up main/release

* Wed Dec 15 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.14-5mdv2011.0
+ Revision: 621949
- AGAIN push the rpm in release because packages got deleted each time someone
  push abrt in main/testing because of rpm5

* Sun Dec 12 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 1.1.14-4mdv2011.0
+ Revision: 620608
- really apply rpm5 patch
- reenable rpm5 patch, make it conditional as well

* Thu Dec 09 2010 Nicolas Lécureuil <nlecureuil@mandriva.com> 1.1.14-3mdv2011.0
+ Revision: 616599
- Rebuild because of missing rpms

  + Per Øyvind Karlsen <peroyvind@mandriva.org>
    - rpm5 support (P11)

* Tue Nov 30 2010 Funda Wang <fwang@mandriva.org> 1.1.14-1mdv2011.0
+ Revision: 603263
- new version 1.1.14
- fix linkage
- rediff format and debug patch
- drop merged polkit patch

* Mon Nov 08 2010 Funda Wang <fwang@mandriva.org> 1.1.13-3mdv2011.0
+ Revision: 595032
- add fedora patch on polkit to make it built

  + Jani Välimaa <wally@mandriva.org>
    - rebuild for python 2.7

* Tue Aug 10 2010 Emmanuel Andry <eandry@mandriva.org> 1.1.13-2mdv2011.0
+ Revision: 568329
- use versioned obsoletes/provides
- set disable_ld_no_undefined to 0

* Tue Aug 10 2010 Emmanuel Andry <eandry@mandriva.org> 1.1.13-1mdv2011.0
+ Revision: 568324
- New version 1.1.13
- rediff p2, p3, p5, p6, p7
- drop catcut plugin
- update files list

* Wed May 12 2010 Frederic Crozat <fcrozat@mandriva.com> 1.1.1-1mdv2010.1
+ Revision: 544618
- Release 1.1.1
- Update patches 0, 2
- Update patches 3 to teach him Mdv specific bugzilla (still in progress)
- Remove patches 4 (no longer needed)
- Patch6: parse /etc/mandriva-release and teach abrt about Cooker
- Patch7: skip nspluginwrapper-i386 (Mdv bug #59237)
- Patch8: ensure all translations are in UTF-8 (caused dbus to exit in abrtd)

  + Emmanuel Andry <eandry@mandriva.org>
    - fix devel name

  + Pascal Terjan <pterjan@mandriva.org>
    - Install missing -debug packages

* Wed Mar 03 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0.8-2mdv2010.1
+ Revision: 513937
- Update gio patch and apply it
- enforce gnome-python-desktop dependency for keyring support

* Mon Mar 01 2010 Frederic Crozat <fcrozat@mandriva.com> 1.0.8-1mdv2010.1
+ Revision: 513060
- import abrt


